#! /bin/bash

if ! command -v otsb_cmd_stow > /dev/null; then

    otsb_cmd_stow () {

		if [ $stowdir ]; then

			otsb_assert_has_command stow

			stow "${stow_opt[@]}" -d $stowdir $package

		fi

    }

    otsb_hook_push_back init_before _otsb_stow_init
    _otsb_stow_init () {

		otsb_opt_commands+=( stow )
		otsb_help cmd stow "run stow after installation"

    }

	otsb_hook_push_back options_before _otsb_stow_options
	_otsb_stow_options () {

		otsb_add_option scalar stowdir "stow installation directory []"
		otsb_add_option array stow-opt 'extra options for stow; may be specified multiple times'

	}

fi

